## org.eclipse.emf.codegen.presentation
Class CodeGenUIPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.emf.codegen.presentation.CodeGenUIPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class CodeGenUIPlugin

extends AbstractUIPlugin

This is the central singleton for the emf.codegen plugin.

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`CodeGenUIPlugin()` Create the instance.

Method Summary
`ImageDescriptor` `getImage(java.lang.String key)`
`static CodeGenUIPlugin` `getPlugin()` Get the singleton instance.
`java.lang.String` `getString(java.lang.String key)` This fetches a resource string from the plugin.properites file.
`java.lang.String` `getString(java.lang.String key, java.lang.Object[] objects)` This fetches a resource string from the plugin.properites file and performs message substitution.
`static void` `write(java.lang.Exception exception)`

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, start, startup, stop`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeGenUIPlugin

    public CodeGenUIPlugin()

  Create the instance.

Method Detail

### getPlugin

    public static CodeGenUIPlugin getPlugin()

  Get the singleton instance.

### getString

    public java.lang.String getString(java.lang.String key)

  This fetches a resource string from the plugin.properites file.

### getImage

    public ImageDescriptor getImage(java.lang.String key)

### getString

    public java.lang.String getString(java.lang.String key,
                                      java.lang.Object[] objects)

  This fetches a resource string from the plugin.properites file and performs message substitution.

### write

    public static void write(java.lang.Exception exception)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.